Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.NEP.ConvergedReason

class slepc4py.SLEPc.NEP.ConvergedReason

  Bases: `object`

  NEP convergence reasons.

  - `CONVERGED_TOL`: All eigenpairs converged to requested

      tolerance.

  - `CONVERGED_USER`: User-defined convergence criterion

      satisfied.

  - `DIVERGED_ITS`: Maximum number of iterations exceeded.

  - `DIVERGED_BREAKDOWN`: Solver failed due to breakdown.

  - `DIVERGED_LINEAR_SOLVE`: Inner linear solve failed.

  - `DIVERGED_SUBSPACE_EXHAUSTED`: Run out of space for the basis in an

      unrestarted solver.

  - `CONVERGED_ITERATING`: Iteration not finished yet.

  Attributes Summary

  `CONVERGED_ITERATING` | Constant `CONVERGED_ITERATING` of type `int`
  `CONVERGED_TOL` | Constant `CONVERGED_TOL` of type `int`
  `CONVERGED_USER` | Constant `CONVERGED_USER` of type `int`
  `DIVERGED_BREAKDOWN` | Constant `DIVERGED_BREAKDOWN` of type `int`
  `DIVERGED_ITS` | Constant `DIVERGED_ITS` of type `int`
  `DIVERGED_LINEAR_SOLVE` | Constant `DIVERGED_LINEAR_SOLVE` of type `int`
  `DIVERGED_SUBSPACE_EXHAUSTED` | Constant `DIVERGED_SUBSPACE_EXHAUSTED` of type `int`
  `ITERATING` | Constant `ITERATING` of type `int`

  Attributes Documentation

  CONVERGED_ITERATING: int = CONVERGED_ITERATING

    Constant `CONVERGED_ITERATING` of type `int`

  CONVERGED_TOL: int = CONVERGED_TOL

    Constant `CONVERGED_TOL` of type `int`

  CONVERGED_USER: int = CONVERGED_USER

    Constant `CONVERGED_USER` of type `int`

  DIVERGED_BREAKDOWN: int = DIVERGED_BREAKDOWN

    Constant `DIVERGED_BREAKDOWN` of type `int`

  DIVERGED_ITS: int = DIVERGED_ITS

    Constant `DIVERGED_ITS` of type `int`

  DIVERGED_LINEAR_SOLVE: int = DIVERGED_LINEAR_SOLVE

    Constant `DIVERGED_LINEAR_SOLVE` of type `int`

  DIVERGED_SUBSPACE_EXHAUSTED: int = DIVERGED_SUBSPACE_EXHAUSTED

    Constant `DIVERGED_SUBSPACE_EXHAUSTED` of type `int`

  ITERATING: int = ITERATING

    Constant `ITERATING` of type `int`